commit:     01a25dd430b77b095a535e04844f378235a2aaa8
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Feb  3 12:20:05 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Feb  3 13:00:09 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01a25dd4

app-office/denaro: bump to 2024.2.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-office/denaro/Manifest               |   1 +
 app-office/denaro/denaro-2024.2.0.ebuild | 256 +++++++++++++++++++++++++++++++
 2 files changed, 257 insertions(+)

diff --git a/app-office/denaro/Manifest b/app-office/denaro/Manifest
index ceb7b6466a93..1cc2717b8a1e 100644
--- a/app-office/denaro/Manifest
+++ b/app-office/denaro/Manifest
@@ -1,6 +1,7 @@
 DIST ace4896.dbus.services.secrets.1.2.0.nupkg 81196 BLAKE2B 
ce8edfafb5caa4f55eb2b1b55615ebadd044d7feeae28277cd6b81f1f64901092dcb280d7c1ab9f21ad23ac1378b664a9af45f18ae1f4dae40cfaa3cff7e15d9
 SHA512 
09f977614489970e543c9fa09c3eda8e120f076f889145c67185d8fff2a42909d944c90970f6be505fcd1c6060ff5e5b4ed80aafbbe8b91f70ef80feed15a8b0
 DIST coverlet.collector.6.0.0.nupkg 2218901 BLAKE2B 
e12627f0c6a6823863113fa236e44a140660323f94cdcc6a246dfcbea01aac53c0774f328af0c4e759a0197a73274fb15681839fda7444a041b21136c700bee5
 SHA512 
8775f1a8267d44f6ec42b26ac9ec7ee29ccc6de504b39e986e022ceb12c0e763feb10799c32ff4126fb2353a6cc7504b42537604464de568200262809a67dee0
 DIST denaro-2024.1.0.tar.gz 4288259 BLAKE2B 
e5888eee2545eeaf2bb5d006d43a91a8322adbd76e1546eedbde433507f0d48046172252c0cd6361a378797b92b884662fecb817c99a432d1f71a847d718f6f1
 SHA512 
83c6f3919f13e9f6550ef28f7090c66560fe7261f84a08afbd47c116cadb6f60a6f783ad92711371605deea3dda0877845a58e7bf2cf8afb86b92f459b6b762e
+DIST denaro-2024.2.0.tar.gz 4289239 BLAKE2B 
4ee55ba86a55b405d498cbee40f63d332e3b0ecfa88dcbbf11028763d5ce6a315ddf7390b787e3d138a5b95e1ee20a29409b6b91585446a12132018085debfeb
 SHA512 
a4caade84284a292cc0546e834f9a45b10f97d97efb07a2ea6158d505f7482a02837c986f4f1cd28d2872d6830c24e8dbbb5fe8197a78fbdbd41e0dd54e72c3f
 DIST docnet.core.2.6.0.nupkg 18429655 BLAKE2B 
6752a325e0eec579a21960c316876656099ad69bcace3270a04186d11934199a968722bcc9d8e4b22db948cfce524307048eba669ab5cbc06a685237ec46aa1a
 SHA512 
0a11668cbc07fc20a18277f8a6aa7d4540185d560a0ba35a2e63af27d0e25c906766f77371deffd22d031e0494f51325f1fa55e2a3eba05b5d00bf30fa8cb9c0
 DIST fuzzysharp.2.0.2.nupkg 153760 BLAKE2B 
dd6ac1342db3ef80db1604cc5146788f34cff974c349e77cf1f125474f3c058307fcb2f1a9d809061fefd31abf2f4f9f07eb385f8f3830ecbe8d5e067a5b891f
 SHA512 
fc87869a485d5d1dbf63aeac7a96ef783b15667afb106b8a68afcb7ff8df9e1e4b1dcf7a3dbacec4fb01588ec6c551281a2bf833a8b07d373fc5189c5262c49a
 DIST gettext.net.1.9.14.nupkg 43260 BLAKE2B 
4ff8a0cc003aceed39252eaf09c9bd16d8f291d8baee363b85804bb1d0d6a50f39923dbfb667feab8e7b9c64450fbc1f9a76f31e278dfa70139894a20bb341ce
 SHA512 
41a61edfe82c11c029150748b641e80b59cfc447eb91f0f030ae9e345e54f46fc901946e12684476fa43d024f4145a3a2377861a619587643cb5fa5d5145cb4a

diff --git a/app-office/denaro/denaro-2024.2.0.ebuild 
b/app-office/denaro/denaro-2024.2.0.ebuild
new file mode 100644
index 000000000000..56e611813246
--- /dev/null
+++ b/app-office/denaro/denaro-2024.2.0.ebuild
@@ -0,0 +1,256 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DOTNET_PKG_COMPAT=8.0
+PYTHON_COMPAT=( python3_{10..12} )
+
+NUGETS="
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+runtime.debian.8-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.fedora.23-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.fedora.24-x64.runtime.native.system.security.cryptography.openssl@4.3.0
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+runtime.opensuse.13.2-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.opensuse.42.1-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.apple@4.3.0
+runtime.osx.10.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.rhel.7-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.14.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.16.04-x64.runtime.native.system.security.cryptography.openssl@4.3.0
+runtime.ubuntu.16.10-x64.runtime.native.system.security.cryptography.openssl@4.3.0
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
[email protected]
+"
+
+inherit check-reqs desktop dotnet-pkg gnome2-utils python-any-r1 xdg
+
+DESCRIPTION="A personal finance manager"
+HOMEPAGE="https://github.com/NickvisionApps/Denaro/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/NickvisionApps/${PN^}.git";
+else
+       SRC_URI="https://github.com/NickvisionApps/${PN^}/archive/${PV}.tar.gz
+               -> ${P}.tar.gz"
+       S="${WORKDIR}/${P^}"
+
+       KEYWORDS="~amd64"
+fi
+
+SRC_URI+=" ${NUGET_URIS} "
+
+LICENSE="MIT"
+SLOT="0"
+
+RDEPEND="
+       >=gui-libs/gtk-4.10:4
+       app-arch/brotli
+       dev-libs/glib
+       gui-libs/libadwaita:1
+       media-libs/freetype
+       media-libs/harfbuzz
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       ${RDEPEND}
+       dev-util/blueprint-compiler
+"
+
+CHECKREQS_DISK_BUILD="1200M"
+DOTNET_PKG_PROJECTS=( NickvisionMoney.GNOME/NickvisionMoney.GNOME.csproj )
+DOTNET_PKG_BUILD_EXTRA_ARGS=( -p:WarningLevel=0 )
+
+DOCS=( CONTRIBUTING.md README.md )
+
+pkg_setup() {
+       check-reqs_pkg_setup
+       dotnet-pkg_pkg_setup
+       python-any-r1_pkg_setup
+}
+
+src_unpack() {
+       dotnet-pkg_src_unpack
+
+       if [[ -n "${EGIT_REPO_URI}" ]] ; then
+               git-r3_src_unpack
+       fi
+}
+
+src_compile() {
+       ebegin "Compiling gresources"
+       glib-compile-resources --sourcedir NickvisionMoney.GNOME/Resources \
+               
NickvisionMoney.GNOME/Resources/org.nickvision.money.gresource.xml
+       eend ${?} || die "failed to compile gresources"
+
+       dotnet-pkg_src_compile
+
+       cd "${S}/NickvisionMoney.Shared" || die
+       cp Linux/org.nickvision.money.desktop.in org.nickvision.money.desktop 
|| die
+       sed -i "s|@EXEC@|${PN}|" org.nickvision.money.desktop || die
+}
+
+src_install() {
+       dotnet-pkg-base_install
+       dotnet-pkg-base_dolauncher "/usr/share/${P}/NickvisionMoney.GNOME" 
"${PN}"
+
+       insinto /usr/share/org.nickvision.money
+       doins NickvisionMoney.GNOME/Resources/*.gresource
+
+       insinto /usr/share/icons/hicolor/scalable/apps
+       doins NickvisionMoney.Shared/Resources/org.*.svg
+
+       insinto /usr/share/icons/hicolor/symbolic/apps
+       doins NickvisionMoney.GNOME/Resources/*.svg
+
+       domenu NickvisionMoney.Shared/org.nickvision.money.desktop
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       gnome2_schemas_update
+       xdg_pkg_postinst
+}
+
+pkg_postrm() {
+       gnome2_schemas_update
+       xdg_pkg_postrm
+}

Reply via email to